Subject: bug#13399: 24.3.50; Word-wrap can't wrap at zero-width space U-200B

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Feb 2013 21:32:01 +0200

> Date: Sun, 03 Feb 2013 10:44:07 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >> I don't know.  IIUC most iterator functions never return something
>  >> useful.
>  >
>  > Because there was no need.  Now there is.
> 
> But hardly anyone delving into move_it_to wants to know that it returns
> the maximum length of any row it encountered.  So I'm quite reluctant to
> break this tradition.

There's no tradition.  Callers that don't care about the return value
are free to ignore it.  I don't see a problem here.  We have many
internal functions that return values which might be useful to
someone.

> How about making this static in xdisp.c like last_max_ascent and
> last_height?

That'd be even worse, IMO.

>  > Then how about text-pixel-size?
> 
> This would imply that I had to accept any text as argument.

I don't think so, but maybe you will like text-region-pixel-size?

> Maybe
> `window-buffer-text-pixel-size' would be most accurate - after all it's
> about a window, its buffer, and (part of) that buffer's text.

It hints that it returns size of text in a window, which is false.

But we are bike-shedding.